{% extends 'base.html.twig' %}

{% block content %}

    {% if operations | length > 0 %}
        <h2>{{ 'operation.list.title' | trans }}</h2>
        <table class="table">
            <thead>
            <tr>
                <td>{{ 'operation.id' | trans }}</td>
                <td>{{ 'operation.eta' | trans }}</td>
                <td>{{ 'operation.date_created' | trans }}</td>
                <td>{{ 'operation.date_start' | trans }}</td>
                <td>{{ 'operation.date_updated' | trans }}</td>
                <td>{{ 'operation.errortype' | trans }}</td>
                <td>{{ 'operation.step' | trans }}</td>
                <td>{{ 'operation.type' | trans }}</td>
                <td>{{ 'operation.action.label' | trans }}</td>
            </tr>
            </thead>
            <tbody>
            {% for operation in operations %}
                <tr>
                    <td>{{ operation.id }}</td>
                    <td>{{ operation.eta }}</td>
                    <td>{{ operation.date_created | date }}</td>
                    <td>{% if operation.date_start is not null %}
                            {{ operation.date_start | date }}
                        {% else %}
                            N/A
                        {% endif %}
                    </td>
                    <td>{{ operation.date_updated | date }}</td>
                    <td>{% if operation.errortype is not null %}{{ operation.errortype.type }}{% else %}N/A{% endif %}</td>
                    <td>{{ operation.step}}</td>
                    <td>{{ operation.type }}</td>
                    <td><a href="{{ path('admin-operation-view', {'operation': operation.id}) }}">{{ 'operation.action.view' | trans }}</a></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% else %}
        {{ 'domain.list.empty' | trans }}
    {% endif %}
{% endblock %}
